Subject: [bug#45043] [PATCH] gnu: git-open: Remove unnecessary propagated input.

From: Leo Famulari <[email-masked]>
Date: Fri, 4 Dec 2020 23:42:47 -0500

On Fri, Dec 04, 2020 at 05:53:32PM -0300, EuAndreh via Guix-patches via wrote:
> * gnu/packages/version-control.scm (git-open): Stop propagating xdg-utils
> package, and replace the runtime dependency by wrapping xdg-utils in the
> derivation.  Also use copy-build-system instead of trivial-build-system.

Thanks! I rewrote the commit to be more idiomatic and pushed as
4cf3734c56d669ee2d78082e5d7c4d0a58e0f800.

About the commit message, we write them in the GNU ChangeLog format:

https://guix.gnu.org/manual/en/html_node/Submitting-Patches.html

Basically, we describe changes to the code, organized by file and
variable. The linked chapter in the GNU coding manual is instructive
when combined with `git log` of the Guix repo.